# OpenLayers.Format.CSWGetRecords.v2_0_2

A format for creating CSWGetRecords v2.0.2 transactions. Create a new instance with the OpenLayers.Format.CSWGetRecords.v2_0_2 constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.CSWGetRecords.v2_0_2 | A format for creating CSWGetRecords v2.0.2 transactions.
Properties |
requestId | {String} Value of the requestId attribute of the GetRecords element.
resultType | {String} Value of the resultType attribute of the GetRecords element, specifies the result type in the GetRecords response, “hits” is the default.
outputFormat | {String} Value of the outputFormat attribute of the GetRecords element, specifies the format of the GetRecords response, “application/xml” is the default.
outputSchema | {String} Value of the outputSchema attribute of the GetRecords element, specifies the schema of the GetRecords response.
startPosition | {String} Value of the startPosition attribute of the GetRecords element, specifies the start position (offset+1) for the GetRecords response, 1 is the default.
maxRecords | {String} Value of the maxRecords attribute of the GetRecords element, specifies the maximum number of records in the GetRecords response, 10 is the default.
DistributedSearch | {String} Value of the csw:DistributedSearch element, used when writing a csw:GetRecords document.
ResponseHandler | {Array({String})} Values of the csw:ResponseHandler elements, used when writting a csw:GetRecords document.
Query | {String} Value of the csw:Query element, used when writing a csw:GetRecords document.
Constructor |
OpenLayers.Format.CSWGetRecords.v2_0_2 | A class for parsing and generating CSWGetRecords v2.0.2 transactions.
Functions |
read | Parse the response from a GetRecords request.

### Properties

### requestId

{String} Value of the requestId attribute of the GetRecords element.

### resultType

{String} Value of the resultType attribute of the GetRecords element, specifies the result type in the GetRecords response, “hits” is the default.

### outputFormat

{String} Value of the outputFormat attribute of the GetRecords element, specifies the format of the GetRecords response, “application/xml” is the default.

### outputSchema

{String} Value of the outputSchema attribute of the GetRecords element, specifies the schema of the GetRecords response.

### startPosition

{String} Value of the startPosition attribute of the GetRecords element, specifies the start position (offset+1) for the GetRecords response, 1 is the default.

### maxRecords

{String} Value of the maxRecords attribute of the GetRecords element, specifies the maximum number of records in the GetRecords response, 10 is the default.

### DistributedSearch

{String} Value of the csw:DistributedSearch element, used when writing a csw:GetRecords document.

### ResponseHandler

{Array({String})} Values of the csw:ResponseHandler elements, used when writting a csw:GetRecords document.

### Query

{String} Value of the csw:Query element, used when writing a csw:GetRecords document.

### Constructor

### OpenLayers.Format.CSWGetRecords.v2_0_2

A class for parsing and generating CSWGetRecords v2.0.2 transactions.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

#### Valid options properties (documented as class properties)

- requestId
- resultType
- outputFormat
- outputSchema
- startPosition
- maxRecords
- DistributedSearch
- ResponseHandler
- Query

### Functions

### read

> read: function( | data | )

Parse the response from a GetRecords request.

> read: function( | data | )

Parse the response from a GetRecords request.
A class for parsing and generating CSWGetRecords v2.0.2 transactions.
Read and write XML.
Close